Bug 873745 - 3.2 when removing a non bridged network from an interface the MTU is not updated to reflect the correct MTU
3.2 when removing a non bridged network from an interface the MTU is not upda...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
x86_64 Linux
medium Severity medium
: ---
: 3.2.0
Assigned To: lpeer
Meni Yakove
network
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-06 10:48 EST by Meni Yakove
Modified: 2016-02-10 14:53 EST (History)
7 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
vdsm.log (765.68 KB, text/x-log)
2012-11-06 10:48 EST, Meni Yakove
no flags Details
vdsm.log - for scenario from comment 4 (2.73 MB, text/x-log)
2012-12-27 06:33 EST, Meni Yakove
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 9547 None None None Never

  None (edit)
Description Meni Yakove 2012-11-06 10:48:52 EST
Created attachment 639417 [details]
vdsm.log

Description of problem:
When there is interface with high MTU like 9000 and from webadmin we attach VLAN network to that interface with lower MTU like 5000 the physical interface MTU will stay at 9000. Only the VLAN will be at 5000 MTU.

Version-Release number of selected component (if applicable):
vdsm-4.9.6-41.0.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Create nonvm (bridgeless) network with MTU 9000 and attach it to the eth1 host
2.create vm-vlan network with MTU 5000
3.Open SetupNetworks > detach nonvm-mtu9000 from the interface and attach vm-vlan-mtu5000 to eth1.
  
Actual results:
eth1 have MTU 9000

Expected results:
eth1 should have MTU 5000
Comment 2 lpeer 2012-11-07 07:07:31 EST
The bug is that when removing a non-bridged network we need to update the MTU on the interface to be the new maximum between all networks left attached to the interface.
This logic also applies for bridged network.
If no network is attached to the interface we need to remove the MTU property from the device.
Comment 3 Igor Lvovsky 2012-11-28 08:36:27 EST
http://gerrit.ovirt.org/#/c/9547/1
Comment 4 Meni Yakove 2012-12-27 06:31:35 EST
Found another scenario:

1. Create network vm-mtu-5000 and attache it to eth1 on the host > apply.
2. Create network vm-mtu-1500.
3. Detach network vm-mtu-5000 from eth1 on the host and attach network vm-mtu-1500 to eth1 on the host > apply.

The MTU on eth1 still have MTU 5000 and should be 1500


grep MTU /etc/sysconfig/network-scripts/ifcfg-*
/etc/sysconfig/network-scripts/ifcfg-eth1:MTU=5000
/etc/sysconfig/network-scripts/ifcfg-mtu1500:MTU=1500
Comment 5 Meni Yakove 2012-12-27 06:33:27 EST
Created attachment 669568 [details]
vdsm.log - for scenario from comment 4
Comment 6 Meni Yakove 2013-01-07 04:06:12 EST
Verified on vdsm-4.10.2-3.0.el6ev.x86_64.

test both scenarios.
MTU was update as it should.
Comment 9 Itamar Heim 2013-06-11 04:34:35 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 04:34:39 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 04:34:45 EDT
3.2 has been released
Comment 12 Itamar Heim 2013-06-11 04:43:37 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.